---

published_posts:

  - id: markdown-test
    title: Markdown Test
    description: A little post containing different kinds of markdown elements.
    tags:
      - foo
    series: testing
    body: |

      This here's a test post containing various markdown elements in its body.
      It's useful for making sure that posts will look good (generally).

      ## Let's Begin

      There's various things worth testing. _Emphasized_ and **bold** text are
      great starting points. Also `little bits of code`.

      One might consider making a list of them.

      * A bit normal.
      * _A bit emphasized_
      * **A bit bold**
      * `A bit of code.`

      So many!

      ### A Subsection

      Crazy. Another way to delineate a subsection is with a horizontal rule.

      -----

      And it only gets crazier from here!

      Check out this code block.

      ```
      // It's like actually being in the matrix
      for !dead {
        if awake {
          work()
        } else {
          continue
        }
      }
      ```

      Edgy.

      #### Side-note

      Did you know that the terms "cyberspace" and "matrix" are attributable to a book from 1984 called _Neuromancer_?

      > The 1999 cyberpunk science fiction film The Matrix particularly draws from Neuromancer both eponym and usage of the term "matrix".
      > - Wikipedia

      Here's a real picture of cyberspace.

      ![not a sound stage]({{ AssetURL "galaxy.jpg" }})

      This has been a great post.

  - id: empty-test
    title: Empty Test
    description: A post with no content. Might as well test it.
    tags:
      - foo
      - bar
    series: testing
    body: ""

  - id: little-markdown-test
    title: Little Markdown Test
    description: A post with almost no content.
    tags:
      - bar
    series: testing
    body: |
      This page is almost empty.

assets:
  galaxy.jpg: ./galaxy.jpg
